#!/bin/sh
#PBS -S /bin/sh
#PBS -N supranta_N64_hmc_modelpar
#PBS -j oe
#PBS -m ae
#PBS -l nodes=h10:has1gpu:ppn=40,walltime=5:00:00

# Modules
module purge
module restore myborg
module load cuda/12.3

# Environment
source /home/bartlett/.bashrc
source /home/bartlett/anaconda3/etc/profile.d/conda.sh
conda deactivate
conda activate borg_env

# Kill job if there are any errors
set -e

# Path variables
BORG=/data101/bartlett/build_borg/tools/hades_python/hades_python
RUN_DIR=/data101/bartlett/fsigma8/borg_velocity/test_dir_hmc_modelpar

mkdir -p $RUN_DIR
cd $RUN_DIR

# Create a custom file descriptor (3) for tracing
exec 3>$RUN_DIR/trace_file.txt

# Redirect trace output to the custom file descriptor
BASH_XTRACEFD="3"
set -x

# Run BORG
INI_FILE=/home/bartlett/fsigma8/borg_velocity/conf/supranta_ini.ini
cp $INI_FILE ini_file.ini
$BORG INIT ini_file.ini

conda deactivate

# Disable tracing and close the custom file descriptor
set +x
exec 3>&-

exit 0
